import { ChainId } from '@envanik/sdk';
export declare function shouldCheck(lastBlockNumber: number, tx: {
    addedTime: number;
    receipt?: {};
    lastCheckedBlockNumber?: number;
}, chainId: ChainId): boolean;
export default function Updater(): null;
